View Issue Details

IDProjectCategoryView StatusLast Update
0005813GNUnettestbed servicepublic2019-07-24 20:42
ReporterChristian GrothoffAssigned Toschanzen 
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.11.6Fixed in Version0.11.6 
Summary0005813: test_testbed_api_controllerlink fails
DescriptionJul 21 12:14:44-025934 gnunet-helper-testbed-6537 WARNING Error while uncompressing config -- exiting
Jul 21 12:14:44-026036 gnunet-helper-testbed-6537 WARNING Failure processing message of type 495 and size 4862
Jul 21 12:14:44-026046 gnunet-helper-testbed-6537 ERROR Assertion failed at gnunet-helper-testbed.c:534.
Jul 21 12:14:44-026539 testbed-links-6513 WARNING Unexpected slave shutdown
Jul 21 12:14:44-030071 test_testbed_api_controllerlink-6483 ERROR Encountered MQ error: 1
FAIL test_testbed_api_controllerlink (exit status: 1)
Steps To ReproduceRun 'make check'
Additional InformationI suspect some unrelated change to the configuration (i.e. number of options?) impacts the (size of) compressed configuration data, exposing a long-standing bug in testbed (as nothing changed in testbed itself). Should not be too hard to figure out, but is definitively RC as it causes the test suite to fail.
TagsNo tags attached.

Activities

schanzen

2019-07-21 20:50

developer   ~0014718

Unable to test this on my system. However, f096bdce8..9b8833954 is a try.

schanzen

2019-07-23 13:00

developer   ~0014723

Fixed in b92650ab1..dbf604ad9

Issue History

Date Modified Username Field Change
2019-07-21 20:06 Christian Grothoff New Issue
2019-07-21 20:50 schanzen Note Added: 0014718
2019-07-23 13:00 schanzen Assigned To => schanzen
2019-07-23 13:00 schanzen Status new => resolved
2019-07-23 13:00 schanzen Resolution open => fixed
2019-07-23 13:00 schanzen Fixed in Version => 0.11.6
2019-07-23 13:00 schanzen Note Added: 0014723
2019-07-24 20:42 Christian Grothoff Status resolved => closed